import {commitMutation, graphql} from 'react-relay';

export default (environment, rating, id) => {
  const variables = {
    input: {
      id,
      rating,
    }
  };
  return commitMutation(
    environment, 
    {
      mutation: graphql`
        mutation changeRecipeRate_Mutation($input: ChangeRecipeRateInput!) {
          changeRecipeRate(input: $input) {
            rating
          }
        }
      `,
      variables,
      onError: err => console.error(err)
    }
  )
}
